Español

Cómo: Configurar Windows para usar TLS 1.2 para aplicaciones que usan .NET 3.5.1 Framework

Resumen

Como parte de la mejora de la seguridad de ArcGIS Online, Esri exige las conexiones TLS 1.2 para los servicios de ArcGIS Online. Se deben tomar medidas para garantizar el acceso a estos servicios.

Los pasos indicados describen cómo configurar el sistema operativo Windows para que utilice TLS 1.2. Con ello se habilita que todas las aplicaciones del sistema que dependen de Microsoft .NET Framework 3.5.1 utilicen TLS 1.2. Se trata de un cambio en el nivel de sistema operativo y solo debe hacerse una vez. Si ya ha utilizado estas instrucciones y ha creado las claves del registro de Windows que habilitan TLS 1.2 en Windows para otro producto de Esri, no tiene que repetir estos pasos.

Este es un método opcional para configurar que las aplicaciones de ArcGIS utilicen TLS 1.2 cuando no se dispone o no se puede aplicar una actualización de producto para admitir TLS 1.2 explícitamente. La solución recomendada es actualizar a una versión de producto que admita TLS 1.2. Para más información, consulte la página sobre TLS del Soporte técnico de Esri. Evalúe detenidamente su situación antes de decidir el planteamiento que va a seguir: si configura el entorno del sistema operativo para habilitar TLS 1.2, no habrá ningún problema con ArcGIS; sin embargo, otras aplicaciones de .NET pueden verse afectadas si se cambia su comportamiento TLS predeterminado.

Procedimiento

Si el sistema utiliza .NET versión 3.5.1, y no es factible instalar .NET4, siga estos pasos para habilitar TLS 1.2:

  1. Instale actualizaciones de Microsoft para habilitar TLS 1.2. Las siguientes actualizaciones están disponibles:
  2. Descargue el siguiente archivo ZIP: TLS_NET35.zip.
  3. Extraiga el archivo TLS_NET35.reg y abra el archivo para crear las claves de registro de Windows adecuadas.
  4. Pruebe sus conexiones TLS 1.2 a ArcGIS Online.

Información relacionada